Package org.drinkless.tdlib

# Class TdApi.OrderInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.OrderInfo

Enclosing class:
  `TdApi`

public static class TdApi.OrderInfo extends TdApi.Object
Order information.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `emailAddress`
  Email address of the user.
  `String`
  `name`
  Name of the user.
  `String`
  `phoneNumber`
  Phone number of the user.
  `TdApi.Address`
  `shippingAddress`
  Shipping address for this order; may be null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrderInfo()`
  Order information.
  `OrderInfo(String name, String phoneNumber, String emailAddress, TdApi.Address shippingAddress)`
  Order information.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public String name
    Name of the user.

  - ### phoneNumber

    public String phoneNumber
    Phone number of the user.

  - ### emailAddress

    public String emailAddress
    Email address of the user.

  - ### shippingAddress

    @Nullable public TdApi.Address shippingAddress
    Shipping address for this order; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OrderInfo

    public OrderInfo()
    Order information.

  - ### OrderInfo

    public OrderInfo(String name, String phoneNumber, String emailAddress, TdApi.Address shippingAddress)
    Order information.
    Parameters:
      `name` - Name of the user.
      `phoneNumber` - Phone number of the user.
      `emailAddress` - Email address of the user.
      `shippingAddress` - Shipping address for this order; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR